## qt6-webengine 6.7.2+dfsg2

=== debian/changelog ===
qt6-webengine (6.7.2+dfsg2-2) unstable; urgency=medium

  [ Soren Stoutner ]
  * Add hunspell-bdic.patch and remove90qt6webengine-dictionaries-path.conf (see
    #1092726).
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Tue, 21 Jan 2025 17:25:46 -0700

qt6-webengine (6.7.2+dfsg2-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * Build-depend on libasound2-dev (Closes: #1091342).
  * Build using system rollup package (Closes: #1023333).
  * Remove non-free WebKitSite.webarchive (Closes: #1091463).
  * Modify debian/watch to create +dfsg2 suffixes.
  * Add myself to uploaders.
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Fri, 27 Dec 2024 09:22:49 -0700

qt6-webengine (6.7.2+dfsg-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove comment in d/rules to fix CMake-arguments (Closes: #1087829).

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 19:30:08 +0100

qt6-webengine (6.7.2+dfsg-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Revert hardcoding QML dependencies in qmldeps.overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Nov 2024 21:39:22 +0100

qt6-webengine (6.7.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure on arch:all (Closes: #1087605).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Nov 2024 16:13:54 +0100

qt6-webengine (6.7.2+dfsg-6) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.
  * Correct wrong QML depdendecy on QtQuickControls2 with qml6-module-
    qtquick-controls.
  * Override examples own QML modules.

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Nov 2024 20:55:22 +0100

=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Soren Stoutner <soren@debian.org>,
Build-Depends: binutils (>= 2.32-8~),
               bison,
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               flex,
               gperf,
               libasound2-dev,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libegl1-mesa-dev,
               libevent-dev,
               libfontconfig-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
#               libicu-dev, # re-enable once ICU 73.1 is available in sid
               libjpeg-dev,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopenjp2-7-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpng-dev,
               libprotobuf-dev,
               libpulse-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libusb-1.0-0-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               ninja-build,
               nodejs,
               pkg-kde-tools,
               pkgconf,
               protobuf-compiler,
               python3,
               python3-html5lib,
               qt6-base-dev (>= 6.7.2+dfsg~),
               qt6-base-private-dev (>= 6.7.2+dfsg~),
               qt6-declarative-dev (>= 6.7.2+dfsg~),
               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
               qt6-documentation-tools (>= 6.7~) <!nodoc>,
               qt6-httpserver-dev (>= 6.7.2~),
               qt6-positioning-dev (>= 6.7.2~),
               qt6-tools-dev (>= 6.7.2~),
               qt6-webchannel-dev (>= 6.7.2~),
               qt6-websockets-dev (>= 6.7.2~),
               re2c,
               rollup,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
Rules-Requires-Root: no

Package: libqt6webenginecore6
Provides: qt6-webengine-private-abi (= 6.7.2),
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         sse3-support [amd64 i386],
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: libqt6pdf6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF library.

Package: libqt6pdfquick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 PDF Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Quick library.

Package: libqt6pdfwidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Widgets library.

Package: libqt6webenginecore6-bin
Architecture: amd64 arm64 armhf i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Core binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core binaries.

Package: libqt6webenginequick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick library.

Package: libqt6webenginewidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Widgets library.

Package: libqt6webengine6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 Web content engine library - data
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the arch independent parts of Qt WebEngine libraries.

Package: qt6-image-formats-plugin-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF image format plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package provides an image plugin that allows image-viewing applications
 to view PDF files (the first page of PDF will be shown).

Package: qml6-module-qtquick-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qt6-image-formats-plugin-pdf,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick PDF QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 Quick PDF QML module.

Package: qml6-module-qtwebengine
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6webenginequickdelegatesqml6,
Replaces: libqt6webenginequickdelegatesqml6,
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Controls Delegates QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Controls Delegates QML module
 for Qt 6 Declarative.

Package: qt6-webengine-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webenginecore6 (= ${binary:Version}),
         libqt6webenginequick6 (= ${binary:Version}),
         libqt6webenginewidgets6 (= ${binary:Version}),
         qml6-module-qtquick-pdf (= ${binary:Version}),
         qml6-module-qtwebengine (= ${binary:Version}),
         qml6-module-qtwebengine-controlsdelegates (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         qt6-webchannel-dev,
         qt6-webengine-dev-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-pdf-dev (= ${binary:Version}),
Breaks: qt6-webengine-private-dev (<< 6.7.2+dfsg-6),
Replaces: qt6-webengine-private-dev (<< 6.7.2+dfsg-6),
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-private-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 WebEngine library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the private development files needed to build Qt 6
 applications using Qt WebEngine libraries.
 .

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=auto,repacksuffix=+dfsg2 \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebengine-everywhere-src-(.*)\.tar\.xz

## qt6-webengine 6.8.0

=== debian/changelog ===
qt6-webengine (6.8.0-0deepin2) unstable; urgency=medium

  * fix: riscv64 build error.

 -- lichenggang <lichenggang@deepin.org>  Mon, 10 Mar 2025 20:31:43 +0800

qt6-webengine (6.8.0-0deepin1) unstable; urgency=medium

  * Rebase loong64 and riscv64 patchsets:

      loong64: https://github.com/AOSC-Dev/chromium-loongarch64/releases/tag/qt6-6.8.2-1
      riscv64: https://github.com/felixonmars/archriscv-packages/tree/ab3d717b2f706bb3978f6ed961cd37cf65e7fea9/qt6-webengine

  * FIXME: qt6-webengine does not build on riscv64 with GCC as it
    complains about a misused '%c' asm variable, so we chose to use
    Clang as a workaround, however it does not support the
    ffat-lto-objects option as defined by optimize=+lto.
    
    Disable LTO for riscv64 as a secondary workaround.

 -- Mingcong Bai <baimingcong@uniontech.com>  Wed, 19 Feb 2025 14:26:46 +0800

qt6-webengine (6.8.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Add patch to fix build failure on arm64 due to incompatible pointers
    in xnnpack.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 19:02:11 +0100

qt6-webengine (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Modify d/watch to go back to the dfsg-suffix.
  * Adjust files to be excluded from the tarball.
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Add patch to fix builds with ccache.

 -- Patrick Franz <deltaone@debian.org>  Wed, 12 Feb 2025 21:57:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Soren Stoutner <soren@debian.org>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
+               clang-17 [riscv64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
@@ -76,16 +77,23 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-documentation-tools (>= 6.7~) <!nodoc>,
-               qt6-httpserver-dev (>= 6.7.2~),
-               qt6-positioning-dev (>= 6.7.2~),
-               qt6-tools-dev (>= 6.7.2~),
-               qt6-webchannel-dev (>= 6.7.2~),
-               qt6-websockets-dev (>= 6.7.2~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-documentation-tools (>= 6.8~) <!nodoc>,
+               qt6-httpserver-dev (>= 6.8.0~),
+               qt6-positioning-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.8.0~),
+               qt6-webchannel-dev (>= 6.8.0~),
+               qt6-websockets-dev (>= 6.8.0~),
+               qml6-module-qtcore (>= 6.8.0~),
+               qml6-module-qtqml-models (>= 6.8.0~),
+               qml6-module-qtquick (>= 6.8.0~),
+               qml6-module-qtwebchannel (>= 6.8.0~),
+               qml6-module-qtquick-layouts (>= 6.8.0~),
+               qml6-module-qtquick-window (>= 6.8.0~),      
+               qml6-module-qtquick-dialogs (>= 6.8.0~), 
                re2c,
                rollup,
                ruby,
@@ -98,8 +106,8 @@
 Rules-Requires-Root: no
 
 Package: libqt6webenginecore6
-Provides: qt6-webengine-private-abi (= 6.7.2),
-Architecture: amd64 arm64 armhf i386
+Provides: qt6-webengine-private-abi (= 6.8.0),
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          sse3-support [amd64 i386],
@@ -116,7 +124,7 @@
  This package contains the Qt 6 WebEngine Core library.
 
 Package: libqt6pdf6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF library
@@ -128,7 +136,7 @@
  This package contains the Qt 6 PDF library.
 
 Package: libqt6pdfquick6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -141,7 +149,7 @@
  This package contains the Qt 6 PDF Quick library.
 
 Package: libqt6pdfwidgets6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF Widgets library
@@ -153,7 +161,7 @@
  This package contains the Qt 6 PDF Widgets library.
 
 Package: libqt6webenginecore6-bin
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -167,7 +175,7 @@
  This package contains the Qt 6 WebEngine Core binaries.
 
 Package: libqt6webenginequick6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -181,7 +189,7 @@
  This package contains the Qt 6 WebEngine Quick library.
 
 Package: libqt6webenginewidgets6
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          ${misc:Depends},
@@ -197,8 +205,8 @@
  This package contains the Qt 6 WebEngine Widgets library.
 
 Package: libqt6webengine6-data
-Architecture: all
-Multi-Arch: foreign
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Multi-Arch: same
 Depends: ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 Web content engine library - data
@@ -211,7 +219,7 @@
  This package contains the arch independent parts of Qt WebEngine libraries.
 
 Package: qt6-image-formats-plugin-pdf
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF image format plugin
@@ -224,7 +232,7 @@
  to view PDF files (the first page of PDF will be shown).
 
 Package: qml6-module-qtquick-pdf
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: qt6-image-formats-plugin-pdf,
          ${misc:Depends},
@@ -239,7 +247,7 @@
  This package contains the Qt 6 Quick PDF QML module.
 
 Package: qml6-module-qtwebengine
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -253,7 +261,7 @@
  This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.
 
 Package: qml6-module-qtwebengine-controlsdelegates
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6webenginequickdelegatesqml6,
@@ -270,7 +278,7 @@
  for Qt 6 Declarative.
 
 Package: qt6-webengine-dev
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webenginecore6 (= ${binary:Version}),
@@ -299,18 +307,3 @@
  This package contains the development files needed to build Qt 6 applications
  using Qt WebEngine libraries.
 
-Package: qt6-webengine-private-dev
-Architecture: amd64 arm64 armhf i386
-Multi-Arch: same
-Section: libdevel
-Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
-Description: Qt 6 WebEngine library - private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- Qt WebEngine provides a Web browser engine that makes it easy to embed content
- from the World Wide Web into your Qt application.
- .
- This package contains the private development files needed to build Qt 6
- applications using Qt WebEngine libraries.
- .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq (riscv64, $(DEB_HOST_ARCH))
	# FIXME: qt6-webengine does not build on riscv64 with GCC as it
	# complains about a misused '%c' asm variable, so we chose to use
	# Clang as a workaround, however it does not support the
	# -ffat-lto-objects option as defined by optimize=+lto.
	#
	# Disable LTO for riscv64 as a secondary workaround.
	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
else
	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
endif

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
endif

# Reduce memory consumption & parallelism on certain architectures
ifeq (armhf, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif

ifeq (i386, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif


%:
	dh $@ --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js

ifeq (loong64, $(DEB_HOST_ARCH))
	TARGET_PATCH = patch_loong64
else ifeq (riscv64, $(DEB_HOST_ARCH))
	TARGET_PATCH = patch_riscv64
endif

ifeq (riscv64, $(DEB_HOST_ARCH))
	USE_CC = clang-17
	USE_CXX = clang++-17
else
	USE_CC = gcc
	USE_CXX = g++
endif

patch_loong64:
	patch -p1 < debian/patches/loong64.patch

patch_riscv64:
	patch -p1 < debian/patches/riscv64-dav1d.patch
	patch -p1 < debian/patches/riscv64-sandbox.patch
	patch -p1 < debian/patches/riscv64-unscaledcycleclock-remove-riscv-support.patch
	patch -p1 < debian/patches/riscv64-Skip-check-sv57-when-enable-pointer-compress.patch
	patch -p1 < debian/patches/riscv64-avoid-cpu-probing-in-li_ptr.patch
	patch -p1 < debian/patches/riscv-ffmpeg-script.patch
	patch -p1 < debian/patches/riscv-ffmpeg-generated.patch
	patch -p1 < debian/patches/riscv-ffmpeg-gni-sources.patch
	patch -p1 < debian/patches/riscv-hack-devtools-remove-terser.patch

override_dh_autoreconf: $(TARGET_PATCH)
	dh_autoreconf

override_dh_auto_clean:
	dh_auto_clean

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

# Turn on system FFmpeg libraries for 6.3
override_dh_auto_configure:
	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DFEATURE_webengine_system_icu=OFF \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_webengine_system_libopenjpeg2=ON \
		-DFEATURE_webengine_system_libpng=ON \
		-DFEATURE_webengine_system_libtiff=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_kerberos=ON \
		-DCMAKE_C_COMPILER=/usr/bin/$(USE_CC) \
		-DCMAKE_CXX_COMPILER=/usr/bin/$(USE_CXX)

override_dh_auto_build:
	dh_auto_build -- WebEngineCore_sync_all_public_headers
	dh_auto_build
	dh_auto_build -- docs

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
	# Install documentation.
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_dwz:

## qt6-webengine 6.8.1+dfsg

=== debian/changelog ===
qt6-webengine (6.8.1+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 06 Dec 2024 01:34:01 -0600

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: qt6-webengine
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>,
-           Lu YaNing <dluyaning@gmail.com>,
-           Soren Stoutner <soren@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
-               clang-17 [riscv64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                flex,
                gperf,
-               libasound2-dev,
                libavcodec-dev (>= 7:4.0~),
                libavformat-dev (>= 7:4.0~),
                libavutil-dev (>= 7:4.0~),
@@ -77,25 +74,17 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
                qt6-documentation-tools (>= 6.8~) <!nodoc>,
-               qt6-httpserver-dev (>= 6.8.0~),
-               qt6-positioning-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
-               qt6-webchannel-dev (>= 6.8.0~),
-               qt6-websockets-dev (>= 6.8.0~),
-               qml6-module-qtcore (>= 6.8.0~),
-               qml6-module-qtqml-models (>= 6.8.0~),
-               qml6-module-qtquick (>= 6.8.0~),
-               qml6-module-qtwebchannel (>= 6.8.0~),
-               qml6-module-qtquick-layouts (>= 6.8.0~),
-               qml6-module-qtquick-window (>= 6.8.0~),      
-               qml6-module-qtquick-dialogs (>= 6.8.0~), 
+               qt6-httpserver-dev (>= 6.8.1~),
+               qt6-positioning-dev (>= 6.8.1~),
+               qt6-tools-dev (>= 6.8.1~),
+               qt6-webchannel-dev (>= 6.8.1~),
+               qt6-websockets-dev (>= 6.8.1~),
                re2c,
-               rollup,
                ruby,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -106,8 +95,8 @@
 Rules-Requires-Root: no
 
 Package: libqt6webenginecore6
-Provides: qt6-webengine-private-abi (= 6.8.0),
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Provides: qt6-webengine-private-abi (= 6.8.1),
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          sse3-support [amd64 i386],
@@ -124,7 +113,7 @@
  This package contains the Qt 6 WebEngine Core library.
 
 Package: libqt6pdf6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF library
@@ -136,7 +125,7 @@
  This package contains the Qt 6 PDF library.
 
 Package: libqt6pdfquick6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -149,7 +138,7 @@
  This package contains the Qt 6 PDF Quick library.
 
 Package: libqt6pdfwidgets6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF Widgets library
@@ -161,7 +150,7 @@
  This package contains the Qt 6 PDF Widgets library.
 
 Package: libqt6webenginecore6-bin
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -175,7 +164,7 @@
  This package contains the Qt 6 WebEngine Core binaries.
 
 Package: libqt6webenginequick6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -189,7 +178,7 @@
  This package contains the Qt 6 WebEngine Quick library.
 
 Package: libqt6webenginewidgets6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          ${misc:Depends},
@@ -205,8 +194,8 @@
  This package contains the Qt 6 WebEngine Widgets library.
 
 Package: libqt6webengine6-data
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 Web content engine library - data
@@ -219,7 +208,7 @@
  This package contains the arch independent parts of Qt WebEngine libraries.
 
 Package: qt6-image-formats-plugin-pdf
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF image format plugin
@@ -232,7 +221,7 @@
  to view PDF files (the first page of PDF will be shown).
 
 Package: qml6-module-qtquick-pdf
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: qt6-image-formats-plugin-pdf,
          ${misc:Depends},
@@ -247,7 +236,7 @@
  This package contains the Qt 6 Quick PDF QML module.
 
 Package: qml6-module-qtwebengine
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -261,7 +250,7 @@
  This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.
 
 Package: qml6-module-qtwebengine-controlsdelegates
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6webenginequickdelegatesqml6,
@@ -278,7 +267,7 @@
  for Qt 6 Declarative.
 
 Package: qt6-webengine-dev
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webenginecore6 (= ${binary:Version}),
@@ -307,3 +296,20 @@
  This package contains the development files needed to build Qt 6 applications
  using Qt WebEngine libraries.
 
+Package: qt6-webengine-private-dev
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: same
+Section: libdevel
+Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
+Description: Qt 6 WebEngine library - private development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ Qt WebEngine provides a Web browser engine that makes it easy to embed content
+ from the World Wide Web into your Qt application.
+ .
+ This package contains the private development files needed to build Qt 6
+ applications using Qt WebEngine libraries.
+ .
+ Use at your own risk.
+

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq (riscv64, $(DEB_HOST_ARCH))
-	# FIXME: qt6-webengine does not build on riscv64 with GCC as it
-	# complains about a misused '%c' asm variable, so we chose to use
-	# Clang as a workaround, however it does not support the
-	# -ffat-lto-objects option as defined by optimize=+lto.
-	#
-	# Disable LTO for riscv64 as a secondary workaround.
-	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
-else
-	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
 ifneq (,$(PARALLEL_OPTION))
@@ -37,37 +27,6 @@
 
 touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js
-
-ifeq (loong64, $(DEB_HOST_ARCH))
-	TARGET_PATCH = patch_loong64
-else ifeq (riscv64, $(DEB_HOST_ARCH))
-	TARGET_PATCH = patch_riscv64
-endif
-
-ifeq (riscv64, $(DEB_HOST_ARCH))
-	USE_CC = clang-17
-	USE_CXX = clang++-17
-else
-	USE_CC = gcc
-	USE_CXX = g++
-endif
-
-patch_loong64:
-	patch -p1 < debian/patches/loong64.patch
-
-patch_riscv64:
-	patch -p1 < debian/patches/riscv64-dav1d.patch
-	patch -p1 < debian/patches/riscv64-sandbox.patch
-	patch -p1 < debian/patches/riscv64-unscaledcycleclock-remove-riscv-support.patch
-	patch -p1 < debian/patches/riscv64-Skip-check-sv57-when-enable-pointer-compress.patch
-	patch -p1 < debian/patches/riscv64-avoid-cpu-probing-in-li_ptr.patch
-	patch -p1 < debian/patches/riscv-ffmpeg-script.patch
-	patch -p1 < debian/patches/riscv-ffmpeg-generated.patch
-	patch -p1 < debian/patches/riscv-ffmpeg-gni-sources.patch
-	patch -p1 < debian/patches/riscv-hack-devtools-remove-terser.patch
-
-override_dh_autoreconf: $(TARGET_PATCH)
-	dh_autoreconf
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -96,7 +55,7 @@
 	dh_auto_configure -- \
 		--log-level=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
-		-DFEATURE_webengine_system_icu=OFF \
+		-DFEATURE_webengine_system_icu=OFF \ # re-enable once ICU 73.1 is available in sid
 		-DFEATURE_webengine_system_libevent=ON \
 		-DFEATURE_webengine_system_libopenjpeg2=ON \
 		-DFEATURE_webengine_system_libpng=ON \
@@ -105,12 +64,9 @@
 		-DFEATURE_qtpdf_widgets_build=ON \
 		-DFEATURE_qtpdf_quick_build=ON \
 		-DFEATURE_webengine_proprietary_codecs=ON \
-		-DFEATURE_webengine_kerberos=ON \
-		-DCMAKE_C_COMPILER=/usr/bin/$(USE_CC) \
-		-DCMAKE_CXX_COMPILER=/usr/bin/$(USE_CXX)
+		-DFEATURE_webengine_kerberos=ON
 
 override_dh_auto_build:
-	dh_auto_build -- WebEngineCore_sync_all_public_headers
 	dh_auto_build
 	dh_auto_build -- docs

## qt6-webengine 6.8.2%2Bdfsg

=== examples/webenginequick/quicknanobrowser/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(quicknanobrowser LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginequick/quicknanobrowser")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Quick WebEngineQuick)

qt_add_executable(quicknanobrowser
    main.cpp
    utils.h
)

if(WIN32)
    set_property(
        TARGET quicknanobrowser
        APPEND PROPERTY
            SOURCES quicknanobrowser.exe.manifest)
endif()

set_target_properties(quicknanobrowser PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
    MACOSX_BUNDLE_GUI_IDENTIFIER "io.qt.examples.webenginequick.quicknanobrowser"
)

target_link_libraries(quicknanobrowser PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::WebEngineQuick
)

qt_add_qml_module(quicknanobrowser
    URI BrowserUtils
    VERSION 1.0
    RESOURCE_PREFIX /
)

# Resources:
set(resources_resource_files
    "ApplicationRoot.qml"
    "BrowserDialog.qml"
    "BrowserWindow.qml"
    "DownloadView.qml"
    "FindBar.qml"
    "FullScreenNotification.qml"
    "WebAuthDialog.qml"
)

qt_add_resources(quicknanobrowser "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

set(resources1_resource_files
    "icons/3rdparty/go-next.png"
    "icons/3rdparty/go-previous.png"
    "icons/3rdparty/process-stop.png"
    "icons/3rdparty/view-refresh.png"
)

qt_add_resources(quicknanobrowser "resources1"
    PREFIX
        "/icons"
    BASE
        "icons/3rdparty"
    FILES
        ${resources1_resource_files}
)

if(TARGET Qt::Widgets)
    target_link_libraries(quicknanobrowser PUBLIC
        Qt::Widgets
    )
endif()

if (APPLE)
    set_target_properties(quicknanobrowser PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.cmake.macos.plist"
    )

    if (NOT CMAKE_GENERATOR STREQUAL "Xcode")
        # Need to sign application for location permissions to work
        if(QT_FEATURE_debug_and_release)
            set(exe_path "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>/")
        else()
            unset(exe_path)
        endif()
        add_custom_command(TARGET quicknanobrowser
            POST_BUILD COMMAND codesign --force -s - ${exe_path}quicknanobrowser.app
        )
    endif()
endif()

install(TARGETS quicknanobrowser
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

## qt6-webengine 6.8.2+dfsg

=== examples/webenginewidgets/permissionbrowser/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.5)
project(permissionbrowser LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/permissionbrowser")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(permissionbrowser
    permissiondialog.ui
    permissionwidget.ui
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
)

if(WIN32)
    set_property(
        TARGET permissionbrowser
        APPEND PROPERTY
            SOURCES permissionbrowser.exe.manifest)
endif()

set_target_properties(permissionbrowser PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
    MACOSX_BUNDLE_GUI_IDENTIFIER "io.qt.examples.webenginewidgets.permissionbrowser"
)

target_link_libraries(permissionbrowser PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

# Resources:
set(permissionbrowser_resource_files
    "resources/3rdparty/view-refresh.png"
    "resources/3rdparty/go-next.png"
    "resources/3rdparty/go-previous.png"
    "resources/AppLogoColor.png"
    "resources/landing.html"
)

qt_add_resources(permissionbrowser "permissionbrowser"
    PREFIX
        "/"
    BASE
        "resources"
    FILES
        ${permissionbrowser_resource_files}
)

if (APPLE)
    set_target_properties(permissionbrowser PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.cmake.macos.plist"
    )

    if (NOT CMAKE_GENERATOR STREQUAL "Xcode")
        # Need to sign application for location permissions to work
        if(QT_FEATURE_debug_and_release)
            set(exe_path "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>/")
        else()
            unset(exe_path)
        endif()
        add_custom_command(TARGET permissionbrowser
            POST_BUILD COMMAND codesign --force -s - ${exe_path}permissionbrowser.app
        )
    endif()
endif()

install(TARGETS permissionbrowser
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/push-notifications/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(notifications LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/push-notifications")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(push-notifications
    main.cpp
    notificationpopup.h
)

set_target_properties(push-notifications PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(push-notifications PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)

qt_add_resources(push-notifications "data"
    PREFIX
        "/"
    BASE
        "data"
    FILES
        "data/icon.png"
)

install(TARGETS push-notifications
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-webengine (6.8.2+dfsg-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Move all the development files for Qt6Pdf from qt6-webengine-dev to
    qt6-pdf-dev, so that cmake-based builds using only Qt6Pdf without WebEngine
    works (Closes: #1100320)
    - add proper breaks/replaces
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Soren Stoutner ]
  * Add debian/salsa-ci.yml, setting the test timeout to be 8 hours.
  * Update my email address in debian/copyright to be soren@debian.org.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Apr 2025 19:50:46 +0200

qt6-webengine (6.8.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:31:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: qt6-webengine
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Soren Stoutner <soren@debian.org>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
                cmake (>= 3.24~),
@@ -12,6 +13,7 @@
                dh-sequence-qmldeps,
                flex,
                gperf,
+               libasound2-dev,
                libavcodec-dev (>= 7:4.0~),
                libavformat-dev (>= 7:4.0~),
                libavutil-dev (>= 7:4.0~),
@@ -74,28 +76,29 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
                qt6-documentation-tools (>= 6.8~) <!nodoc>,
-               qt6-httpserver-dev (>= 6.8.1~),
-               qt6-positioning-dev (>= 6.8.1~),
-               qt6-tools-dev (>= 6.8.1~),
-               qt6-webchannel-dev (>= 6.8.1~),
-               qt6-websockets-dev (>= 6.8.1~),
+               qt6-httpserver-dev (>= 6.8.2~),
+               qt6-positioning-dev (>= 6.8.2~),
+               qt6-tools-dev (>= 6.8.2~),
+               qt6-webchannel-dev (>= 6.8.2~),
+               qt6-websockets-dev (>= 6.8.2~),
                re2c,
+               rollup,
                ruby,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
 Rules-Requires-Root: no
 
 Package: libqt6webenginecore6
-Provides: qt6-webengine-private-abi (= 6.8.1),
+Provides: qt6-webengine-private-abi (= 6.8.2),
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
@@ -311,5 +314,3 @@
  This package contains the private development files needed to build Qt 6
  applications using Qt WebEngine libraries.
  .
- Use at your own risk.
-
